# DataExchange
TKSTEPBase
StepShape

# StepShape_SolidReplica Class Reference

`#include <StepShape_SolidReplica.hxx>`

Inheritance diagram for StepShape_SolidReplica:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_SolidReplica ()
| Returns a SolidReplica .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_SolidModel)&aParentSolid, const Handle(StepGeom_CartesianTransformationOperator3d)&aTransformation)
Standard_EXPORT void | SetParentSolid (const Handle(StepShape_SolidModel)&aParentSolid)
Standard_EXPORT Handle_StepShape_SolidModel | ParentSolid () const
Standard_EXPORT void | SetTransformation (const Handle(StepGeom_CartesianTransformationOperator3d)&aTransformation)
Standard_EXPORT Handle_StepGeom_CartesianTransformationOperator3d | Transformation () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_SolidModel | parentSolid
Handle_StepGeom_CartesianTransformationOperator3d | transformation

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_SolidReplica::StepShape_SolidReplica | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_SolidReplica::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_SolidModel.

virtual Standard_EXPORT void StepShape_SolidReplica::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_SolidModel)& | aParentSolid,
|  | const Handle(StepGeom_CartesianTransformationOperator3d)& | aTransformation
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_SolidReplica::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepShape_SolidModel StepShape_SolidReplica::ParentSolid | ( |  | ) | const

Standard_EXPORT void StepShape_SolidReplica::SetParentSolid | ( | const Handle(StepShape_SolidModel)& | aParentSolid | ) |

Standard_EXPORT void StepShape_SolidReplica::SetTransformation | ( | const Handle(StepGeom_CartesianTransformationOperator3d)& | aTransformation | ) |

Standard_EXPORT Handle_StepGeom_CartesianTransformationOperator3d StepShape_SolidReplica::Transformation | ( |  | ) | const

## Field Documentation

Handle_StepShape_SolidModel StepShape_SolidReplica::parentSolid `[private]`

Handle_StepGeom_CartesianTransformationOperator3d StepShape_SolidReplica::transformation `[private]`

The documentation for this class was generated from the following file:

- StepShape_SolidReplica.hxx